package tv.younify.sdk.connectapp

import android.app.Activity
import android.content.Context
import android.content.SharedPreferences

internal data class UserTokens(
    var accessToken: String?,
    var refreshToken: String?,
)

internal object TokenManager {
    fun loadTokens(activity: Activity) : UserTokens {
        val sharedPreferences: SharedPreferences = activity.getPreferences(Context.MODE_PRIVATE)
        val accessToken =  sharedPreferences.getString("ycs.accessToken", "")
        val refreshToken =  sharedPreferences.getString("ycs.refreshToken", "")

        return UserTokens(accessToken, refreshToken)
    }

    fun storeTokens(activity: Activity, accessToken: String?, refreshToken: String?) {
        val sharedPreferences: SharedPreferences = activity.getPreferences(Context.MODE_PRIVATE)
        with (sharedPreferences.edit()) {
            putString("ycs.accessToken", accessToken)
            putString("ycs.refreshToken", refreshToken)
            commit()
        }
    }
}
